Community Forum

Share this post:
Responses (35)
  • Accepted Answer

    Saturday, July 14 2018, 09:45 AM - #Permalink
    Resolved
    0 votes
    I tried having a discussion with the Elrepo people to remove the blacklist from the r8168 and make the r8169 a dependency of the r8168 but they would not buy it. Added to this is the r8101 (for the r8136?) which also blacklists the r8169. Ideally all three packages should be loaded at the same time with the blacklist file removed, but no one has ever asked me to compile the r8101 and I think it is only a 10/100 NIC.
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, July 14 2018, 09:19 AM - #Permalink
    Resolved
    0 votes
    Ah! - good recall on your part... https://www.clearos.com/clearfoundation/social/community/clearos-7-4-beta#reply-191001
    /etc/sysconfig/modules is empty...


    [root@violetta modprobe.d]# cat /usr/lib/modprobe.d/blacklist-r8169.conf && ls -lad /usr/lib/modprobe.d/blacklist-r8169.conf
    #blacklist r8169
    -rw-r--r-- 1 root root 17 Oct 9 2017 /usr/lib/modprobe.d/blacklist-r8169.conf

    Now that's what I missed - it had already been black-listed and then edited out, had forgotten completely about doing it last year... thanks.
    Edit: clarified the black-listing
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, July 14 2018, 08:51 AM - #Permalink
    Resolved
    0 votes
    Perhaps we have discussed the issue before - vague memories. I seem to remember a discussion about adding a file to /etc/sysconfig/modules to modprobe the r8169. That file will survive the upgrade and still exist. It was the original workaround in the mixed environment.
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, July 14 2018, 08:34 AM - #Permalink
    Resolved
    0 votes
    Thanks Nick - hope this is corrected soon so others can avoid the problem...

    For you own version, if you compiled from source, you may want to delete the file /usr/lib/modprobe.d/blacklist-r8169.conf or comment out the line in it otherwise in a mixed r8168/r8169 environment the r8169 will not come up.

    However, DID compile my own r8168 driver from source, have a MIXED environment as my append clearly indicates (last segment within code tags in my notes) and the r8169 DID come up together with the r8168 with the correct drivers! So am a bit mystified by your comment... what have I missed...

    [root@violetta ~]# modinfo r8169
    filename: /lib/modules/3.10.0-862.6.3.v7.x86_64/weak-updates/r8169/r8169.ko
    version: 6.020.00-NAPI
    license: GPL
    retpoline: Y
    rhelversion: 7.5
    srcversion: 1464E6100DEC614BF7DE95E
    alias: pci:v00001186d00004302sv*sd*bc*sc*i*
    alias: pci:v00001186d00004300sv*sd*bc*sc*i*
    alias: pci:v00001186d00004300sv00001186sd00004C00bc*sc*i*
    alias: pci:v00001186d00004302sv00001186sd00004302bc*sc*i*
    alias: pci:v00001186d00004300sv00001186sd00004300bc*sc*i*
    alias: pci:v000010ECd00008169sv*sd*bc*sc*i*
    alias: pci:v000010ECd00008167sv*sd*bc*sc*i*
    depends:
    vermagic: 3.10.0-862.3.2.v7.x86_64 SMP mod_unload modversions
    parm: rx_copybreak:Copy breakpoint for copy-only-tiny-frames (int)
    parm: use_dac:Enable PCI DAC. Unsafe on 32 bit PCI slot. (int)
    parm: debug:Debug verbosity level (0=none, ..., 16=all) (int)

    [root@violetta ~]# modinfo r8168
    filename: /lib/modules/3.10.0-862.6.3.v7.x86_64/extra/r8168/r8168.ko
    version: 8.045.08-NAPI
    license: GPL
    description: RealTek RTL-8168 Gigabit Ethernet driver
    author: Realtek and the Linux r8168 crew <netdev@vger.kernel.org>
    retpoline: Y
    rhelversion: 7.5
    srcversion: 82574A94F19A02D9668FE7B
    alias: pci:v00001186d00004300sv00001186sd00004B10bc*sc*i*
    alias: pci:v000010ECd00008161sv*sd*bc*sc*i*
    alias: pci:v000010ECd00008168sv*sd*bc*sc*i*
    depends:
    vermagic: 3.10.0-862.6.3.v7.x86_64 SMP mod_unload modversions
    parm: speed_mode:force phy operation. Deprecated by ethtool (8). (uint)
    parm: duplex_mode:force phy operation. Deprecated by ethtool (8). (uint)
    parm: autoneg_mode:force phy operation. Deprecated by ethtool (8). (uint)
    parm: aspm:Enable ASPM. (int)
    parm: s5wol:Enable Shutdown Wake On Lan. (int)
    parm: s5_keep_curr_mac:Enable Shutdown Keep Current MAC Address. (int)
    parm: rx_copybreak:Copy breakpoint for copy-only-tiny-frames (int)
    parm: use_dac:Enable PCI DAC. Unsafe on 32 bit PCI slot. (int)
    parm: timer_count:Timer Interrupt Interval. (int)
    parm: eee_enable:Enable Energy Efficient Ethernet. (int)
    parm: hwoptimize:Enable HW optimization function. (ulong)
    parm: s0_magic_packet:Enable S0 Magic Packet. (int)
    parm: debug:Debug verbosity level (0=none, ..., 16=all) (int)
    [root@violetta ~]#
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, July 14 2018, 08:19 AM - #Permalink
    Resolved
    0 votes
    Thanks, Tony for the report. I've pinged the devs. For you own version, if you compiled from source, you may want to delete the file /usr/lib/modprobe.d/blacklist-r8169.conf or comment out the line in it otherwise in a mixed r8168/r8169 environment the r8169 will not come up.

    Anyone needing the kmod-r8168 driver, can download it from here. It is the same as the one I provided to Clearcenter.
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, July 14 2018, 07:37 AM - #Permalink
    Resolved
    0 votes
    Just performed another update to ClearOS 7.5 from 7.4... my notes...

    Install 2 Packages (+9 Dependent packages)
    Upgrade 375 Packages

    Didn't notice the kmod r8168 driver in the list - but may have missed as it was quite long - so just in-case there is a problem...
    kmod drivers before install

    [root@violetta ~]# rpm -qa | grep r816 | sort
    kmod-r8168-8.045.08-1.el7_4.elrepo.x86_64
    kmod-r8169-6.020.00-2.v7.x86_64

    kmod drivers after install before reboot

    [root@violetta ~]# rpm -qa | grep r816 | sort
    kmod-r8168-8.045.08-1.el7_4.elrepo.x86_64
    kmod-r8169-6.020.00-3.el7_5.elrepo.x86_64

    Oops!!! - it wasn't there in the list to be upgraded after all... this is not good
    Can we find it?

    [root@violetta ~]# yum --enablerepo=* list kmod-r8168 --showduplicates
    .... (clipped)
    Installed Packages
    kmod-r8168.x86_64 8.045.08-1.el7_4.elrepo installed
    Available Packages
    kmod-r8168.x86_64 8.045.08-1.el7_4.elrepo clearos-updates

    No 7_5 version just 7_4 :( Let's check the r8169 kmod packages

    [root@violetta ~]# yum --enablerepo=* list kmod-r8169 --showduplicates
    ... (clipped)
    Installed Packages
    kmod-r8169.x86_64 6.020.00-3.el7_5.elrepo @clearos-updates
    Available Packages
    kmod-r8169.x86_64 6.020.00-3.el7_5.elrepo clearos-updates

    Not a problem with r8169 - surprised the very popular r8168 is missing for 7.5...

    Compiled my own r8168 7_5 driver on another ClearOS 7.5 machines and installed it...

    [root@violetta ~]# rpm -qa | grep r816 | sort
    kmod-r8168-8.045.08-2.el7_5.elrepo.x86_64
    kmod-r8169-6.020.00-3.el7_5.elrepo.x86_64

    That looks much better - am prepared to reboot now... let's see what happens.

    [root@violetta ~]# uname -r
    3.10.0-862.6.3.v7.x86_64
    [root@violetta ~]# lspci -vk | grep -A 16 Ethernet | egrep 'controller|use:'
    01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 02)
    Kernel driver in use: r8168
    04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8169 PCI Gigabit Ethernet Controller (rev 10)
    Kernel driver in use: r8169

    Perfect :D a good example of why there are no automatic updates here, too dangerous...

    The system... http://www.sraellis.tk/frame.php?number=27&monitor=violetta_sysconfig
    The reply is currently minimized Show
  • Accepted Answer

    Friday, July 13 2018, 07:48 PM - #Permalink
    Resolved
    0 votes
    Oh good. That explains it. The automatic updates should be able to cope with a repo change without any intervention. Manually you need to update app-base first.
    The reply is currently minimized Show
  • Accepted Answer

    Friday, July 13 2018, 07:28 PM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    @Tux Brothers ,
    Can I ask if you've been doing manual updates or are updates set to automatic? Automatic should have first tried to update a week ago.

    Hi Nick,
    Ofcourse you can.
    Always by hand from the command line. Maybe im a little old school. But i like to see what im doing with my systems ;-)
    The reply is currently minimized Show
  • Accepted Answer

    Friday, July 13 2018, 07:00 PM - #Permalink
    Resolved
    0 votes
    @Tux Brothers ,
    Can I ask if you've been doing manual updates or are updates set to automatic? Automatic should have first tried to update a week ago.
    The reply is currently minimized Show
  • Accepted Answer

    Friday, July 13 2018, 04:49 PM - #Permalink
    Resolved
    0 votes
    Unfortunately app-base is included but when this one updates (with its two dependencies) it changes some repos around. By installing it first your repos got changed and yum could then see the required packages. I don't know why it went wrong for you, but I will ask the devs.
    Like
    1
    The reply is currently minimized Show
  • Accepted Answer

    Friday, July 13 2018, 02:54 PM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    Please try
    yum update app-base
    yum update

    Thank you!
    Its working now!

    Why isnt the app-base not included to yum?
    The reply is currently minimized Show
  • Accepted Answer

    Friday, July 13 2018, 02:41 PM - #Permalink
    Resolved
    0 votes
    Please try
    yum update app-base
    yum update
    Like
    1
    The reply is currently minimized Show
  • Accepted Answer

    Friday, July 13 2018, 02:01 PM - #Permalink
    Resolved
    0 votes
    Hello,
    I see a lot of this errors on all of my comm systems:
    --> Running transaction check
    ---> Package kernel.x86_64 0:3.10.0-862.6.3.v7 will be installed
    --> Processing Dependency: linux-firmware >= 20180113-61 for package: kernel-3.10.0-862.6.3.v7.x86_64
    ---> Package python-dns.noarch 0:1.12.0-4.20150617git465785f.el7 will be installed
    ---> Package samba.x86_64 0:4.7.1-6.2.v7 will be an update
    --> Processing Dependency: libdbus-1.so.3(LIBDBUS_1_3)(64bit) for package: samba-4.7.1-6.2.v7.x86_64
    ---> Package samba-client-libs.x86_64 0:4.7.1-6.2.v7 will be an update
    --> Processing Dependency: libldb.so.1(LDB_1.1.30)(64bit) for package: samba-client-libs-4.7.1-6.2.v7.x86_64
    --> Finished Dependency Resolution
    --> Running transaction check
    ---> Package kernel.x86_64 0:3.10.0-514.21.2.v7 will be erased
    ---> Package kernel.x86_64 0:3.10.0-862.6.3.v7 will be installed
    --> Processing Dependency: linux-firmware >= 20180113-61 for package: kernel-3.10.0-862.6.3.v7.x86_64
    ---> Package samba.x86_64 0:4.7.1-6.2.v7 will be an update
    --> Processing Dependency: libdbus-1.so.3(LIBDBUS_1_3)(64bit) for package: samba-4.7.1-6.2.v7.x86_64
    ---> Package samba-client-libs.x86_64 0:4.7.1-6.2.v7 will be an update
    --> Processing Dependency: libldb.so.1(LDB_1.1.30)(64bit) for package: samba-client-libs-4.7.1-6.2.v7.x86_64
    --> Finished Dependency Resolution
    Error: Package: samba-4.7.1-6.2.v7.x86_64 (clearos-updates)
    Requires: libdbus-1.so.3(LIBDBUS_1_3)(64bit)
    Error: Package: samba-client-libs-4.7.1-6.2.v7.x86_64 (clearos-updates)
    Requires: libldb.so.1(LDB_1.1.30)(64bit)
    Error: Package: kernel-3.10.0-862.6.3.v7.x86_64 (clearos-updates)
    Requires: linux-firmware >= 20180113-61
    Installed: linux-firmware-20170606-58.gitc990aae.el7_4.noarch (@clearos-centos-updates)
    linux-firmware = 20170606-58.gitc990aae.el7_4
    Available: linux-firmware-20170606-56.gitc990aae.el7.noarch (clearos)
    linux-firmware = 20170606-56.gitc990aae.el7
    Available: linux-firmware-20170606-57.gitc990aae.el7.noarch (clearos-centos-updates)
    linux-firmware = 20170606-57.gitc990aae.el7
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest

    Any clue?
    The reply is currently minimized Show
  • Accepted Answer

    Thursday, July 12 2018, 01:25 PM - #Permalink
    Resolved
    0 votes
    You're right. I don't have access to the Zarafa repos as I don't have access to it. The devs will have to sort this one out.

    In theory you can still do most of the upgrade but you'll have to leave samba out. To to that you need to exclude the 20 or so packages listed in the downgrade process (omittiing the version numbers). Altenatively you can upgrade app-base then pick off groups of packages like "yum upgrade app*" until you have the rest of the upgrade. It is probably just worth waiting
    The reply is currently minimized Show
  • Accepted Answer

    krister
    krister
    Offline
    Thursday, July 12 2018, 10:51 AM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    Where did the python-pythondns package come from?
    yum list python-dnspython
    I can't find it in the ClearOS repos.



    What i can se it come from Zarafa

    yum list python-dnspython
    Loaded plugins: clearcenter-marketplace, fastestmirror
    ClearCenter Marketplace: fetching repositories...
    Loading mirror speeds from cached hostfile
    * clearos: mirror1-amsterdam.clearos.com
    * clearos-centos: download1.clearsdn.com
    * clearos-centos-sclo-rh: download1.clearsdn.com
    * clearos-centos-updates: download1.clearsdn.com
    * clearos-contribs: mirror1-amsterdam.clearos.com
    * clearos-epel: download1.clearsdn.com
    * clearos-fast-updates: download1.clearsdn.com
    * clearos-infra: mirror1-amsterdam.clearos.com
    * clearos-updates: mirror1-amsterdam.clearos.com
    * private-clearcenter-dyndns: download3.clearsdn.com:80
    * private-clearcenter-dynvpn: download1.clearsdn.com:80
    * private-clearcenter-owncloud: download4.clearsdn.com:80
    * private-clearcenter-owncloud-business: download3.clearsdn.com:80
    * private-clearcenter-plex: download3.clearsdn.com:80
    * private-clearcenter-zarafa-community: download1.clearsdn.com:80
    Installed Packages
    python-dnspython.noarch 1.11.1-5.1 @private-clearcenter-zarafa-community
    The reply is currently minimized Show
  • Accepted Answer

    Thursday, July 12 2018, 10:29 AM - #Permalink
    Resolved
    0 votes
    Where did the python-pythondns package come from?
    yum list python-dnspython
    I can't find it in the ClearOS repos.
    The reply is currently minimized Show
  • Accepted Answer

    krister
    krister
    Offline
    Thursday, July 12 2018, 09:16 AM - #Permalink
    Resolved
    0 votes
    Hi
    i have few error on Auto update hope someone can guide me.


    Total size: 297 M
    Total download size: 799 k
    Is this ok [y/d/N]: y
    Downloading packages:
    Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
    (1/8): app-samba-core-3.5.1-1.v7.noarch.rpm | 28 kB 00:00
    (2/8): app-samba-3.5.1-1.v7.noarch.rpm | 61 kB 00:00
    (3/8): elfutils-default-yama-scope-0.170-4.el7.noarch.rpm | 31 kB 00:00
    (4/8): python-backports-ssl_match_hostname-3.5.0.1-1.el7.n | 13 kB 00:00
    (5/8): plymouth-scripts-0.8.9-0.31.20140113.el7.centos.x86 | 39 kB 00:00
    (6/8): plymouth-0.8.9-0.31.20140113.el7.centos.x86_64.rpm | 116 kB 00:00
    (7/8): plymouth-core-libs-0.8.9-0.31.20140113.el7.centos.x | 107 kB 00:00
    (8/8): device-mapper-persistent-data-0.7.3-3.el7.x86_64.rp | 405 kB 00:01
    --------------------------------------------------------------------------------
    Total 693 kB/s | 799 kB 00:01
    Running transaction check
    Running transaction test


    Transaction check error:

    file /usr/lib/python2.7/site-packages/dns/tsigkeyring.pyc from install of python-dns-1.12.0-4.20150617git465785f.el7.noarch conflicts with file from package python-dnspython-1.11.1-5.1.noarch
    file /usr/lib/python2.7/site-packages/dns/tsigkeyring.pyo from install of python-dns-1.12.0-4.20150617git465785f.el7.noarch conflicts with file from package python-dnspython-1.11.1-5.1.noarch
    file /usr/lib/python2.7/site-packages/dns/ttl.py from install of python-dns-1.12.0-4.20150617git465785f.el7.noarch conflicts with file from package python-dnspython-1.11.1-5.1.noarch
    file /usr/lib/python2.7/site-packages/dns/ttl.pyc from install of python-dns-1.12.0-4.20150617git465785f.el7.noarch conflicts with file from package python-dnspython-1.11.1-5.1.noarch
    file /usr/lib/python2.7/site-packages/dns/ttl.pyo from install of python-dns-1.12.0-4.20150617git465785f.el7.noarch conflicts with file from package python-dnspython-1.11.1-5.1.noarch
    file /usr/lib/python2.7/site-packages/dns/update.pyc from install of python-dns-1.12.0-4.20150617git465785f.el7.noarch conflicts with file from package python-dnspython-1.11.1-5.1.noarch
    file /usr/lib/python2.7/site-packages/dns/update.pyo from install of python-dns-1.12.0-4.20150617git465785f.el7.noarch conflicts with file from package python-dnspython-1.11.1-5.1.noarch
    file /usr/lib/python2.7/site-packages/dns/wiredata.py from install of python-dns-1.12.0-4.20150617git465785f.el7.noarch conflicts with file from package python-dnspython-1.11.1-5.1.noarch
    file /usr/lib/python2.7/site-packages/dns/wiredata.pyc from install of python-dns-1.12.0-4.20150617git465785f.el7.noarch conflicts with file from package python-dnspython-1.11.1-5.1.noarch
    file /usr/lib/python2.7/site-packages/dns/wiredata.pyo from install of python-dns-1.12.0-4.20150617git465785f.el7.noarch conflicts with file from package python-dnspython-1.11.1-5.1.noarch

    Error Summary there ar 100 more line off error for python-dns
    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, July 11 2018, 12:56 PM - #Permalink
    Resolved
    0 votes
    With clearcenter.com back up and running I got the VM going. LDAP is running fine. I've generated a new certificate which Opera likes but not Firefox which now gives the error:
    An error occurred during a connection to 127.0.0.1:18081. You have received an invalid certificate. Please contact the server administrator or email correspondent and give them the following information: Your certificate contains the same serial number as another certificate issued by the certificate authority. Please get a new certificate containing a unique serial number. Error code: SEC_ERROR_REUSED_ISSUER_AND_SERIAL
    Presumably this will happen with a re-installation :( I'll try deleting the certificate and regenerating it.

    [edit]
    It looks like regenerating the certificate did not force ClearOS to use it. It only started using it when I restarted the server. Then Opera requested validation of the regenerated certificate and Firefox also responded OK. I'd guess that restarting the webconfig would have had the same effect. I'll file a bug.
    [/edit]
    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, July 11 2018, 08:08 AM - #Permalink
    Resolved
    0 votes
    Dave Loper wrote:

    In anticipation for the Business release, we have a copy of the RC ISO here:

    http://mirror.clearos.com/clearos/testing/7.5.0.227949/iso/x86_64/ClearOS-DVD-x86_64-7.iso

    Please note that this URL is only valid for a limited time and is primarily for testing the install process. Not included is the patch which resolves the samba issue reported and also does not include any progress on the OpenLDAP issue some are experiencing. Once these are resolved, 7 for Home and Business will be released and the ISO will be re-cast.
    I've got so far in a VM. There is the usual problem of Firefox not being able to navigate to the server if it is using the bootstrap certificate. You don't even get presented with a certificate error. The problem normally goes away once you create a certificate in certificate manager. Unfortunately I could not complete the first run wizard as the Clearcenter portal is currently not allowing logins.
    The reply is currently minimized Show
  • Accepted Answer

    nuke
    nuke
    Offline
    Wednesday, July 11 2018, 12:08 AM - #Permalink
    Resolved
    0 votes
    Out of curiosity, could the following from my logs give any indication of the problem.

    I'm assuming that these log entries ended up due to the upgrade process. ???

    --------------------- Connections (secure-log) Begin ------------------------ 

    New Groups:
    printadmin (974)


    **Unmatched Entries**
    polkitd: Acquired the name org.freedesktop.PolicyKit1 on the system bus: 2 Time(s)
    polkitd: Finished loading, compiling and executing 2 rules: 2 Time(s)
    polkitd: Loading rules from directory /etc/polkit-1/rules.d: 2 Time(s)
    polkitd: Loading rules from directory /usr/share/polkit-1/rules.d: 2 Time(s)
    polkitd: Reloading rules: 1 Time(s)
    useradd: failed adding user 'apache', exit code: 9: 1 Time(s)
    useradd: failed adding user 'dbus', exit code: 9: 1 Time(s)
    useradd: failed adding user 'ntp', exit code: 9: 1 Time(s)
    useradd: failed adding user 'tcpdump', exit code: 9: 1 Time(s)

    ---------------------- Connections (secure-log) End -------------------------


    The timing coincides with the upgrade process on my box.
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, July 10 2018, 08:22 PM - #Permalink
    Resolved
    0 votes
    In anticipation for the Business release, we have a copy of the RC ISO here:

    http://mirror.clearos.com/clearos/testing/7.5.0.227949/iso/x86_64/ClearOS-DVD-x86_64-7.iso

    Please note that this URL is only valid for a limited time and is primarily for testing the install process. Not included is the patch which resolves the samba issue reported and also does not include any progress on the OpenLDAP issue some are experiencing. Once these are resolved, 7 for Home and Business will be released and the ISO will be re-cast.
    The reply is currently minimized Show
  • Accepted Answer

    nuke
    nuke
    Offline
    Monday, July 09 2018, 02:10 PM - #Permalink
    Resolved
    0 votes
    Marcel van Leeuwen wrote:

    nuke wrote:
    and my Android devices and apps can now connect and sync with the COS server.


    Off-topic, but interesting to me and maybe other. :)

    Out of interest what app are you running on Android to sync with ClearOS?

    I'm considering switching to Android, and I have Android Phone from the company I work for.


    @Marcel

    There are many ways to achieve the result but I use "FolderSync Pro". Company producing the app is called Tacit [www.tacit.dk/foldersync]. I purchased the app from the Google Play Store but there is a free version to test.

    I use Unison on the Mac to sync files to my COS and the mobile Android devices to sync with the COS. Please note that these are scheduled sync and not automatic.

    If you have any questions on how I make it all work, send me a PM.
    The reply is currently minimized Show
  • Accepted Answer

    Monday, July 09 2018, 10:02 AM - #Permalink
    Resolved
    0 votes
    Just to keep tracking in a single thread, there is also an OpenLDAP issue hitting some users here. They have successfully downgraded openldap to get round the problem. See the thread for details. It would be nice to get some troubleshooting done as it is not hitting all users. I am not seeing it on my two systems and there have only been two reports of problems.
    The reply is currently minimized Show
  • Accepted Answer

    Monday, July 09 2018, 08:40 AM - #Permalink
    Resolved
    0 votes
    Kernel Panic - Resolved on ASRock D1800B-ITX

    Thinking about the kernel panic - there have been several upgrades recently to deal with some notable security problems over the last few months, resulting in several kernel and CPU micro-code updates. Hmm... wonder if there are now some BIOS(uefi) dependency issues... Found a newer BIOS available with this interesting comment "Update B2, B3 Stepping CPU microcode to 326 and C0 Stepping CPU microcode to 836.". Looks like we had better update...

    Fortunately this board has the capability to update its BIOS using the internet - so invoked the routine and crossed fingers... Success :D Rebooting the machine and selecting the new kernel and Voilà - no panic :) :)

    Previous BIOS

    [root@sophia ~]# dmidecode -t 0
    ... (clipped)
    BIOS Information
    Vendor: American Megatrends Inc.
    Version: P2.00
    Release Date: 11/07/2016
    ... (clipped)

    Current Version

    [root@sophia ~]# dmidecode -t 0
    ... (clipped)
    BIOS Information
    Vendor: American Megatrends Inc.
    Version: P2.10
    Release Date: 03/01/2018
    ... (clipped)
    The reply is currently minimized Show
  • Accepted Answer

    Monday, July 09 2018, 05:06 AM - #Permalink
    Resolved
    0 votes
    nuke wrote:
    and my Android devices and apps can now connect and sync with the COS server.


    Off-topic, but interesting to me and maybe other. :)

    Out of interest what app are you running on Android to sync with ClearOS?

    I'm considering switching to Android, and I have Android Phone from the company I work for.
    The reply is currently minimized Show
  • Accepted Answer

    Vucko Zagi
    Vucko Zagi
    Offline
    Monday, July 09 2018, 05:01 AM - #Permalink
    Resolved
    0 votes
    allow trusted domains = yes worked for me
    The reply is currently minimized Show
  • Accepted Answer

    Monday, July 09 2018, 03:17 AM - #Permalink
    Resolved
    0 votes
    Kernel panic...

    Attempted another Upgrade ClearOS 7.4 -> 7.5 on a ASRock motherboard ASRock D1800B-ITX with Intel Celeron J1800 SoC.

    Kernel panic trying to boot with kernel 3.10.0-862.6.3.v7.x86_64
    Reverted to booting with the previous kernel 3.10.0-693.17.1.v7.x86_64 and everything OK - the default is now set to this kernel...
    The reply is currently minimized Show
  • Accepted Answer

    nuke
    nuke
    Offline
    Sunday, July 08 2018, 07:48 PM - #Permalink
    Resolved
    0 votes
    Thanks everyone for providing a fix!

    I've also made the smb.conf change to
    allow trusted domains = yes
    and my Android devices and apps can now connect and sync with the COS server.

    FYI
    I had the server running one of the NAS apps from the Marketplace but since it didn't consistently update the interface for added/removed content, I just removed it. It was too frustrating to try to figure out why some content was available and other content not.

    So in theory, I don't have a NAS running anymore but some of the config info must still be in the smb.conf file??
    Like
    1
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 08 2018, 02:53 PM - #Permalink
    Resolved
    0 votes
    Workgroup was never an issue with previous releases and configurations. We essentially ignored mismatches and relied on matching between username/password implicitly. This is the NAS model for ClearOS and non-domain authentication to shares which we support. That being said, what seems to be happening here is that the match between computer account is now being enforced by that parameter in addition to domain/workgroup name.
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 08 2018, 06:55 AM - #Permalink
    Resolved
    0 votes
    I've re-upgraded my test box and changed the line from "No" to "yes" and it worked for me as well.

    Interestingly I would never have hit the problem on my production box which is an installation done with a 6.x backup and 7.x restore as the offending line was not in smb.conf and the default value is "yes". This narrows down the failure group even more.

    One thing I don't understand from the "man smb.conf" page is that it indicated you will only get failure if the client and server WORKGROUPs mismatch. I tried changing mine to the same (they are on my proper LAN) and it made no difference. I still failed to connect.

    [edit]
    To anyone who used my fix, undo the "exclude" line in yum.conf and do a "yum update". This will bring you box back to full 7.5. Then in /etc/samba/smb.conf, flip the parameter:
    allow trusted domains = No
    to
    allow trusted domains = yes

    If you don't have the parameter you won't have hit the issue and shouldn't need to add it.
    [/edit]
    Like
    1
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 08 2018, 12:47 AM - #Permalink
    Resolved
    0 votes
    Yes, that change fixed it for me Dave - thanks..

    see my response in the other thread... https://www.clearos.com/clearfoundation/social/community/flexshare-stopped-working-after-the-latest-update#reply-224081
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, July 08 2018, 12:01 AM - #Permalink
    Resolved
    0 votes
    Please test modifying the line in /etc/samba/smb.conf to be the following:

    allow trusted domains = yes

    This is for those that are using ClearOS as a NAS with no domain logons.

    I'm curious to know if this fixes the Samba issue reported with the update.
    Like
    1
    The reply is currently minimized Show
  • Accepted Answer

    nuke
    nuke
    Offline
    Saturday, July 07 2018, 04:59 PM - #Permalink
    Resolved
    0 votes
    Thanks for your quick solution on this Nick. As always you are ahead of the curve!
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, July 07 2018, 02:05 PM - #Permalink
    Resolved
    0 votes
    Samba/Flexshares are broken and the 20 packages need to be downgraded. I have a fix which I am hosting on my server but limited bandwidth to support it. Please see this post.

    I've pinged Dave a message but he may not be around yet.

    [edit]
    Ata Asgari has kindly mirrored the files with a much faster link and a gzipped package for ease. I suggest you use his links from this post.
    [/edit]
    Like
    1
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, July 07 2018, 09:50 AM - #Permalink
    Resolved
    0 votes
    Nice, but waiting for the professional release!
    The reply is currently minimized Show
Your Reply